# $Id: base-server.pro,v 1.17 2012/09/22 18:34:27 hpereira Exp $

TEMPLATE = lib
CONFIG = staticlib
CONFIG += qt
QT += xml network

mac {
	DEFINES += QT_NO_DBUS
}

unix:!mac {
	QT += dbus
}

INCLUDEPATH += ../base ../base-qt
DEPENDPATH += . ../base ../base-qt

HEADERS = \
	ApplicationId.h \
	ApplicationManager.h \
	BaseApplication.h \
	BaseCoreApplication.h \
	Client.h \
	ServerCommand.h \
	ServerConfiguration.h \
	ServerXmlDef.h

SOURCES = \
	ApplicationId.cpp \
	ApplicationManager.cpp \
	BaseApplication.cpp \
	BaseCoreApplication.cpp \
	Client.cpp \
	ServerCommand.cpp \
	ServerConfiguration.cpp
